package com.gingersoft.supply_chain.mvp.bean;

import java.io.Serializable;

/**
 * @author 宇航.
 * User: admin
 * Date: 2021/3/25
 * Time: 18:20
 * Use:
 */
public class PurchaseFoodEncodeSn implements Serializable {
    /**
     * 食材編號
     */
    private String encodeFoodNo;
    /**
     * 採購訂單編號
     */
    private String encodeOrderNo;
    /**
     * sn編碼
     */
    private String encodeSnNo;

    public Integer id;
    public long createTime;
    public long updateTime;
    public int createUid;
    public int updateUid;
    public String userName;
    /**
     * 是否新增
     */
    public boolean newAdd = false;

    public PurchaseFoodEncodeSn() {
    }

    public PurchaseFoodEncodeSn(String encodeFoodNo, String encodeOrderNo, String encodeSnNo) {
        this.encodeFoodNo = encodeFoodNo;
        this.encodeOrderNo = encodeOrderNo;
        this.encodeSnNo = encodeSnNo;
    }

    public String getEncodeFoodNo() {
        return encodeFoodNo;
    }

    public void setEncodeFoodNo(String encodeFoodNo) {
        this.encodeFoodNo = encodeFoodNo;
    }

    public String getEncodeOrderNo() {
        return encodeOrderNo;
    }

    public void setEncodeOrderNo(String encodeOrderNo) {
        this.encodeOrderNo = encodeOrderNo;
    }

    public String getEncodeSnNo() {
        return encodeSnNo;
    }

    public void setEncodeSnNo(String encodeSnNo) {
        this.encodeSnNo = encodeSnNo;
    }
}
